<?php
$configDao = new \Dao\Configuracoes();
$configDao->getConfiguracoes($conecta);
$configDao->titulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'titulo'));
$configDao->email = $conecta->real_escape_string(filter_input(INPUT_POST, 'email'));
$configDao->num_servicos = $conecta->real_escape_string(filter_input(INPUT_POST, 'num_servios'));
$configDao->facebook = $conecta->real_escape_string(filter_input(INPUT_POST, 'facebook'));
$configDao->twitter = $conecta->real_escape_string(filter_input(INPUT_POST, 'twitter'));
$configDao->google_plus = $conecta->real_escape_string(filter_input(INPUT_POST, 'google_plus'));
$configDao->pinterest = $conecta->real_escape_string(filter_input(INPUT_POST, 'pinterest'));
$configDao->instagram = $conecta->real_escape_string(filter_input(INPUT_POST, 'instagram'));
$configDao->telefone = $conecta->real_escape_string(filter_input(INPUT_POST, 'telefone'));
$configDao->descricao = addslashes(filter_input(INPUT_POST, 'descricao'));
$configDao->keywords = addslashes(filter_input(INPUT_POST, 'keywords'));
$configDao->horario_funcionamento = $conecta->real_escape_string(filter_input(INPUT_POST, 'horario_funcionamento'));
$configDao->endereco = $conecta->real_escape_string(filter_input(INPUT_POST, 'endereco'));
$configDao->googlemaps = addslashes(filter_input(INPUT_POST, 'googlemaps'));
$res = json_decode($configDao->salvar($conecta));
if ($res->data == 'Success')
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'configuracoes.php');
else
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'configuracoes.php', 'red');